/*
 *   Copyright 2013 Lukas Jirkovsky
 *
 *   This file is part of Počasí v krajích.
 *
 *   Počasí v krajích is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, version 3 of the License.
 *
 *   Počasí v krajích is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Počasí v krajích.  If not, see <http://www.gnu.org/licenses/>.
 */

package cz.jirkovsky.lukas.chmupocasi.forecast;

import cz.jirkovsky.lukas.chmupocasi.R;

/**
 * Represents a region.
 */
public enum Region {
    KARLOVARSKY(R.string.kraj_karlovarsky, "krajekv.html"),
    PLZENSKY(R.string.kraj_plzensky, "krajepl.html"),
    USTECKY(R.string.kraj_ustecky, "krajeul.html"),
    STREDOCESKY(R.string.kraj_stredocesky, "krajesc.html"),
    PRAHA(R.string.kraj_praha, "krajeph.html"),
    JIHOCESKY(R.string.kraj_jihocesky, "krajecb.html"),
    LIBERECKY(R.string.kraj_liberecky, "krajelb.html"),
    KRALOVEHRADECKY(R.string.kraj_kralovehradecky, "krajehk.html"),
    PARDUBICKY(R.string.kraj_pardubicky, "krajepu.html"),
    VYSOCINA(R.string.kraj_vysocina, "krajevy.html"),
    OLOMOUCKY(R.string.kraj_olomoucky, "krajeol.html"),
    JIHOMORAVSKY(R.string.kraj_jihomoravsky, "krajejm.html"),
    MORAVSKOSLEZSKY(R.string.kraj_moravskoslezsky, "krajems.html"),
    ZLINSKY(R.string.kraj_zlinsky, "krajezl.html");

    private Region(int name, String location) {
        this.name = name;
        this.location = location;
    }

    public int getName() {
        return name;
    }

    public String getLocation() {
        return location;
    }

    private final int name;
    private final String location;
}